/*
 Show PDS Models with Site ID
 Author:    Uwe Schimanski
 Company:   INFO AG
 Mail:      uws@info-ag.de
*/
alter session set nls_date_format = 'DD.MM.YYYY hh24:mi:ss';
set linesize 300
set pagesize 80

select b.model_no "Model Name", 
 b.model_description "Description", 
 b.path_name "Path", 
 b.model_file_spec "File Name", 
 b.partition_no "Partition No.", 
 b.model_index_no "Model Index", 
 c.site_id "Site ID" 
 from pdtable_113 b, pdtable_119 c
 where b.model_index_no = c.model_index_no
 order by b.model_index_no;
