prompt
prompt Loading TableSpace.sql
prompt
prompt +++++++++++++++++++++++++++++++++++++++++
prompt +                                       +
prompt + Ausgabe des belegten / freien Platzes +
prompt +  eines ausgewaehlten Tablespaces.     +
prompt +                                       +
prompt + By: Uwe Schimanski - INFO AG          +
prompt +                                       +
prompt +++++++++++++++++++++++++++++++++++++++++
prompt
--
-- Erstmal ein paar Varaiblen definieren
--

set verify off
variable intFree number;
variable intSize number;
variable intDiff number;
variable intUsed number;
--
-- Die Ausgabe formatieren
--
set linesize 200
set pagesize 50
col tablespace_name for a25 heading 'Tablespace'
col "DataFile Size" for a15
col "Free Space" for a15
col "Used" for a15
col "  %" for a5
col tablespace_name for a25
--
-- Ab hier gets los
--
select tablespace_name from dba_tablespaces order by Tablespace_name;
prompt
acc strTS prompt 'Bitte den Tablespace Namen eingeben: '
prompt
begin
 select sum(bytes/1024/1024) into :intFree from dba_free_space where tablespace_name = upper('&strTS'); -- mit upper wird die Eingabe in Grossbuchstaben umgewandelt.
 select sum(bytes/1024/1024) into :intSize from dba_data_files where tablespace_name = upper('&strTS');
 select sum(:intSize-:intFree) into :intDiff from dual;
 select sum(:intDiff*100/:intSize) into :intUsed from dual;
end;
/
select to_char(:intSize, '999,999.99') || ' MB' "DataFile Size", to_char(:intFree, '999,999.99') || ' MB' "Free Space", to_char(:intDiff, '999,999.99') || ' MB' "Used", to_char(:intUsed, '99.9') "  %" from dual;
set verify on
