/*
 Anzeige laufender Rman Jobs
 Author: Uwe Schimanski
 Company: INFO AG
 Date: 11-Feb-2013
*/
set lines 220
alter session set nls_date_format = 'DD.MM.YYYY hh24:mi:ss';
col spid for a8
col client_info for a40 heading 'Client|Info'
col seconds_in_wait heading 'Wait in|Seconds'

select a.spid, b.sid, b.serial#, b.logon_time, c.seconds_in_wait, c.state, client_info
from v$session_wait c, v$session b, v$process a
where b.client_info like 'rman%'
and b.sid = c.sid
and b.paddr = a.addr
order by logon_time;

prompt
prompt Job loeschen mit alter system kill session '<sid>,<serial#>'
prompt