prompt
prompt Loading TableSpaceSize.sql
prompt
prompt +++++++++++++++++++++++++++++++++++++++++
prompt +                                       +
prompt +  Ausgabe von Tablespace Informationen +
prompt +                                       +
prompt +                                       +
prompt + By: Uwe Schimanski - INFO AG          +
prompt +                                       +
prompt +++++++++++++++++++++++++++++++++++++++++
prompt
--
-- Erstmal ein paar Varaiblen definieren
--
set verify off
set lin 200
--
-- Die Ausgabe formatieren
--
col tablespace_name for a25 heading 'Tablespace'
col autoextensible for a5 heading 'Auto'
col file_name for a55
col "File Size" for a10
col "max. Size" for a10
col "erweitern um" for a13
--
-- Ab hier gets los
--
select tablespace_name, file_name,
 round(bytes / 1024 / 1024) || ' MB' "File Size",
 round(maxbytes / 1024 / 1024) || ' MB' "max. Size",
 autoextensible, 
 round(increment_by * 8 / 1024) || ' MB' "erweitern um"
 from dba_data_files order by tablespace_name;
 